OpenTTD AI API: AIGameSettings Class Reference

OpenTTD AI API 13.4

Static Public Member Functions
AIGameSettings Class Reference

Class that handles all game settings related functions. More...

Inheritance diagram for AIGameSettings:

## Static Public Member Functions
static bool | IsValid (const char *setting)
| Is the given game setting a valid setting for this instance of OpenTTD? More...
static int32 | GetValue (const char *setting)
| Gets the value of the game setting. More...
static bool | IsDisabledVehicleType (AIVehicle::VehicleType vehicle_type)
| Checks whether the given vehicle-type is disabled for companies. More...

## Detailed Description

Class that handles all game settings related functions.

Note
  AIGameSettings::IsValid and AIGameSettings::GetValue are functions that rely on the settings as OpenTTD stores them in savegame and openttd.cfg. No guarantees can be given on the long term validity, consistency and stability of the names, values and value ranges. Using these settings can be dangerous and could cause issues in future versions. To make sure that a setting still exists in the current version you have to run AIGameSettings::IsValid before accessing it.
  The names of the setting for AIGameSettings::IsValid and AIGameSettings::GetValue are the same ones as those that are shown by the list_settings command in the in-game console. Settings that are string based are NOT supported and GameSettings::IsValid will return false for them. These settings will not be supported either because they have no relevance for the script (default client names, server IPs, etc.).

## Member Function Documentation

## ◆ GetValue()

static int32 AIGameSettings::GetValue | ( | const char * | setting | ) |
| static

Gets the value of the game setting.

Parameters

  setting | The setting to get the value of.

Precondition
  IsValid(setting).

Warning
  Results of this function are not governed by the API. This means that the value of settings may be out of the expected range. It also means that a setting that previously existed can be gone or has changed its name/characteristics.

Note
  Results achieved in the past offer no guarantee for the future.

Returns
  The value for the setting.

## ◆ IsDisabledVehicleType()

static bool AIGameSettings::IsDisabledVehicleType | ( | AIVehicle::VehicleType | vehicle_type | ) |
| static

Checks whether the given vehicle-type is disabled for companies.

Parameters

  vehicle_type | The vehicle-type to check.

Returns
  True if the vehicle-type is disabled.

## ◆ IsValid()

static bool AIGameSettings::IsValid | ( | const char * | setting | ) |
| static

Is the given game setting a valid setting for this instance of OpenTTD?

Parameters

  setting | The setting to check for existence.

Warning
  Results of this function are not governed by the API. This means that a setting that previously existed can be gone or has changed its name.

Note
  Results achieved in the past offer no guarantee for the future.

Returns
  True if and only if the setting is valid.